Click here
to launch the
AGR-Lite Training
course

System Requirements
 
Requirements Recommended Version Current Version on This Computer Required Links to Install Current Version
Acrobat Reader 5.0 or higher http://www.adobe.com
Macromedia Flash Player 6.0 or higher http://www.macromedia.com

Note: Please be sure to adjust your system volume to provide clear audio of the course narration. Alternatively, the content is available via audio transcript by clicking the button at the bottom of each screen.

This course is best viewed in 1024 x 768 screen resolution.


Back to RightRisk